org.keycloak.services

## Class DefaultProviderSession

- java.lang.Object
- - org.keycloak.services.DefaultProviderSession

- All Implemented Interfaces:
    ProviderSession

      public class DefaultProviderSession
      extends Object
      implements ProviderSession

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultProviderSession(DefaultProviderSessionFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `<T extends Provider> Set<T>` | `getAllProviders(Class<T> clazz)`
    `<T extends Provider> T` | `getProvider(Class<T> clazz)`
    `<T extends Provider> T` | `getProvider(Class<T> clazz, String id)`
    `<T extends Provider> Set<String>` | `listProviderIds(Class<T> clazz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultProviderSession

          public DefaultProviderSession(DefaultProviderSessionFactory factory)

  - ### Method Detail

    - #### getProvider

          public <T extends Provider> T getProvider(Class<T> clazz)

      Specified by:
        `getProvider` in interface `ProviderSession`

    - #### getProvider

          public <T extends Provider> T getProvider(Class<T> clazz,
                                           String id)

      Specified by:
        `getProvider` in interface `ProviderSession`

    - #### listProviderIds

          public <T extends Provider> Set<String> listProviderIds(Class<T> clazz)

      Specified by:
        `listProviderIds` in interface `ProviderSession`

    - #### getAllProviders

          public <T extends Provider> Set<T> getAllProviders(Class<T> clazz)

      Specified by:
        `getAllProviders` in interface `ProviderSession`

    - #### close

          public void close()

      Specified by:
        `close` in interface `ProviderSession`

Copyright © 2014. All Rights Reserved.